package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Bfd;
import com.brilliance.isc.bo.Bft;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bfdgrp extends AbstractCommonVo {

    private Bfd rec;

    private Bft blk;

    private Bfacbs cbs;

    private PtsptaVo ben;

    private PtsptaVo apl;

    private PtsptaVo iss;

    private PtsptaVo rmb;

    private PtsptaVo prb;

    private PtsptaVo acb;

    private PtsptaVo beb;

    private PtsptaVo oap;

    private PtsptaVo pub;

    private PtsptaVo doc;

    private PtsptaVo oth;

    private PtsptaVo prc;

    private PtsptaVo skh;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Bfd();
        }
        if (blk == null) {
            blk = new Bft();
        }
        if (cbs == null) {
            cbs = new Bfacbs();
        }
        cbs.reset();
        if (ben == null) {
            ben = new PtsptaVo();
        }
        ben.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (iss == null) {
            iss = new PtsptaVo();
        }
        iss.reset();
        if (rmb == null) {
            rmb = new PtsptaVo();
        }
        rmb.reset();
        if (prb == null) {
            prb = new PtsptaVo();
        }
        prb.reset();
        if (acb == null) {
            acb = new PtsptaVo();
        }
        acb.reset();
        if (beb == null) {
            beb = new PtsptaVo();
        }
        beb.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (pub == null) {
            pub = new PtsptaVo();
        }
        pub.reset();
        if (doc == null) {
            doc = new PtsptaVo();
        }
        doc.reset();
        if (oth == null) {
            oth = new PtsptaVo();
        }
        oth.reset();
        if (prc == null) {
            prc = new PtsptaVo();
        }
        prc.reset();
        if (skh == null) {
            skh = new PtsptaVo();
        }
        skh.reset();
    }
}
